/**  版本信息模板在安装目录下，可自行修改。
* work.cs
*
* 功 能： N/A
* 类 名： work
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2024-07-27 10:51:14   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace Jpsoft.Model
{
	/// <summary>
	/// work:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Work
	{
		public Work()
		{}
		#region Model
		private string _id_;
		private string _customer_id;
		private string _name_;
		private double? _width_;
		private string _number_;
		private DateTime? _process_date;
		private int? _process_volume;
		private string _process_remark;
		private int? _process_number;
		private decimal? _ratio_;
		private string _colour_;
		private decimal? _estimate_quantity;
		private string _estimate_remark;
		private decimal? _unit_price;
		private string _reason_;
		private decimal? _cloth_price;
		private decimal? _wages_;
		private decimal? _roll_length;
		private string _tag_operator;
		private decimal? _tag_factor;
		private decimal? _tag_factor_save;
		private string _tag_unit;
		private bool _is_integer;
		private string _remark_;
		private bool _status_;
		private bool _del_flag;
		private string _create_by;
		private DateTime? _create_time;
		private string _update_by;
		private DateTime? _update_time;
		/// <summary>
		/// 
		/// </summary>
		public string id_
		{
			set{ _id_=value;}
			get{return _id_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string customer_id
		{
			set{ _customer_id=value;}
			get{return _customer_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string name_
		{
			set{ _name_=value;}
			get{return _name_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public double? width_
		{
			set{ _width_=value;}
			get{return _width_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string number_
		{
			set{ _number_=value;}
			get{return _number_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? process_date
		{
			set{ _process_date=value;}
			get{return _process_date;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? process_volume
		{
			set{ _process_volume=value;}
			get{return _process_volume;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string process_remark
		{
			set{ _process_remark=value;}
			get{return _process_remark;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int? process_number
		{
			set{ _process_number=value;}
			get{return _process_number;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? ratio_
		{
			set{ _ratio_=value;}
			get{return _ratio_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string colour_
		{
			set{ _colour_=value;}
			get{return _colour_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? estimate_quantity
		{
			set{ _estimate_quantity=value;}
			get{return _estimate_quantity;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string estimate_remark
		{
			set{ _estimate_remark=value;}
			get{return _estimate_remark;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? unit_price
		{
			set{ _unit_price=value;}
			get{return _unit_price;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string reason_
		{
			set{ _reason_=value;}
			get{return _reason_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? cloth_price
		{
			set{ _cloth_price=value;}
			get{return _cloth_price;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? wages_
		{
			set{ _wages_=value;}
			get{return _wages_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? roll_length
		{
			set{ _roll_length=value;}
			get{return _roll_length;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string tag_operator
		{
			set{ _tag_operator=value;}
			get{return _tag_operator;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? tag_factor
		{
			set{ _tag_factor=value;}
			get{return _tag_factor;}
		}
		/// <summary>
		/// 
		/// </summary>
		public decimal? tag_factor_save
		{
			set{ _tag_factor_save=value;}
			get{return _tag_factor_save;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string tag_unit
		{
			set{ _tag_unit=value;}
			get{return _tag_unit;}
		}
		/// <summary>
		/// 
		/// </summary>
		public bool is_integer
		{
			set{ _is_integer=value;}
			get{return _is_integer;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string remark_
		{
			set{ _remark_=value;}
			get{return _remark_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public bool status_
		{
			set{ _status_=value;}
			get{return _status_;}
		}
		/// <summary>
		/// 
		/// </summary>
		public bool del_flag
		{
			set{ _del_flag=value;}
			get{return _del_flag;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string create_by
		{
			set{ _create_by=value;}
			get{return _create_by;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? create_time
		{
			set{ _create_time=value;}
			get{return _create_time;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string update_by
		{
			set{ _update_by=value;}
			get{return _update_by;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? update_time
		{
			set{ _update_time=value;}
			get{return _update_time;}
		}
		#endregion Model

	}
}

